#
# spec file for package bcache-tools
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bcache-tools
Version:        1.1
Release:        lp152.2.3.1
Summary:        Configuration utilities for bcache
License:        GPL-2.0-only
Group:          System/Base
URL:            http://bcache.evilpiepirate.org/

Source:         %name-%version.tar.xz
Patch1:         0001-bcache-tools-set-zoned-size-aligned-data_offset-on-b.patch
Patch2:         0002-bcache-tools-add-is_zoned_device.patch
Patch3:         0003-bcache-tools-convert-writeback-to-writethrough-mode-.patch
Patch4:         0004-bcache-tools-add-struct-cache_sb_disk-into-bcache.h.patch
Patch5:         0005-bcache-tools-bitwise.h-more-swap-bitwise-for-differe.patch
Patch6:         0006-bcache-tools-list.h-only-define-offsetof-when-it-is-.patch
Patch7:         0007-bcache-tools-add-to_cache_sb-and-to_cache_sb_disk.patch
Patch8:         0008-bcache-tools-define-separated-super-block-for-in-mem.patch
Patch9:         0009-bcache-tools-upgrade-super-block-versions-for-featur.patch
Patch10:        0010-bcache-tools-add-large_bucket-incompat-feature.patch
Patch11:        0011-bcache-tools-add-print_cache_set_supported_feature_s.patch
Patch12:        0012-bcache-tools-Fix-potential-coredump-issues.patch
Patch13:        0013-bcache-tools-Export-CACHED_UUID-and-CACHED_LABEL.patch
Patch14:        0014-bcache-tools-Remove-the-dependency-on-libsmartcols.patch
Patch15:        0015-bcache-tools-make-permit-only-one-cache-device-to-be.patch
Patch16:        0016-bcache-tools-add-bcache-status.patch
Patch17:        0017-bcache-tools-add-man-page-bcache-status.8.patch
BuildRequires:  pkg-config
BuildRequires:  xz
BuildRequires:  pkgconfig(blkid)
BuildRequires:  pkgconfig(uuid)

%description
This package contains utilities for configuring the bcache Module.

%prep
%autosetup -p1

%build
export SUSE_ASNEEDED=0
%make_build all \
	CFLAGS="%optflags $(pkg-config blkid uuid --cflags) -std=gnu99" \
	LDFLAGS="$(pkg-config blkid uuid --libs)" %{?_smp_mflags}

%install
b="%buildroot"
# Without these existing, make install would fail
mkdir -p "$b"/{sbin,%_sbindir,%_mandir/man8,/lib/udev/rules.d}
mkdir -p "$b/%_sysconfdir/initramfs-tools/scripts/init-premount"
mkdir -p "$b/%_sysconfdir/initramfs-tools/hooks"
%make_install DRACUTLIBDIR="%_prefix/lib/dracut"
# Not used in openSUSE
rm -Rf "$b/%_sysconfdir/initramfs-tools" "$b/%_prefix/lib/initcpio" \
	"$b/%_datadir/initramfs-tools"
mkdir -p "$b/%_prefix/lib"
mv "$b/lib/udev" "$b/%_prefix/lib/"

%files
%_sbindir/bcache-super-show
%_sbindir/make-bcache
%_sbindir/bcache
%_prefix/lib/dracut/
%_prefix/lib/udev
%_mandir/man8/*.8*
%license COPYING

%changelog
* Tue Oct 13 2020 Coly Li <colyli@suse.com>
- Remove dependence of smartcols bcache-tools.spec, bcache-tools
  code doesn't need it now. (jsc#SLE-9807)
- Remove 1001-udev-do-not-rely-on-DRIVER-variable.patch because
  we have 0013-bcache-tools-Export-CACHED_UUID-and-CACHED_LABEL.patch
  to provide static UUIDs. (jsc#SLE-9807)
- bcache-tools: add man page bcache-status.8 (jsc#SLE-9807)
  0017-bcache-tools-add-man-page-bcache-status.8.patch
- bcache-tools: add bcache-status (jsc#SLE-9807)
  0016-bcache-tools-add-bcache-status.patch
- bcache-tools: make: permit only one cache device to be
  specified (jsc#SLE-9807)
  0015-bcache-tools-make-permit-only-one-cache-device-to-be.patch
- bcache-tools: Remove the dependency on libsmartcols
  (jsc#SLE-9807)
  0014-bcache-tools-Remove-the-dependency-on-libsmartcols.patch
- bcache-tools: Export CACHED_UUID and CACHED_LABEL
  (jsc#SLE-9807)
  0013-bcache-tools-Export-CACHED_UUID-and-CACHED_LABEL.patch
- bcache-tools: Fix potential coredump issues (jsc#SLE-9807)
  0012-bcache-tools-Fix-potential-coredump-issues.patch
- bcache-tools: add print_cache_set_supported_feature_sets()
  in lib.c (jsc#SLE-9807)
  0011-bcache-tools-add-print_cache_set_supported_feature_s.patch
- bcache-tools: add large_bucket incompat feature (jsc#SLE-9807)
  0010-bcache-tools-add-large_bucket-incompat-feature.patch
- bcache-tools: upgrade super block versions for feature sets
  (jsc#SLE-9807)
  0009-bcache-tools-upgrade-super-block-versions-for-featur.patch
- bcache-tools: define separated super block for in-memory and
  on-disk format (jsc#SLE-9807)
  0008-bcache-tools-define-separated-super-block-for-in-mem.patch
- bcache-tools: add to_cache_sb() and to_cache_sb_disk()
  (jsc#SLE-9807)
  0007-bcache-tools-add-to_cache_sb-and-to_cache_sb_disk.patch
- bcache-tools: list.h: only define offsetof() when it is
  undefined (jsc#SLE-9807)
  0006-bcache-tools-list.h-only-define-offsetof-when-it-is-.patch
- bcache-tools: bitwise.h: more swap bitwise for different
  CPU endians (jsc#SLE-9807)
  0005-bcache-tools-bitwise.h-more-swap-bitwise-for-differe.patch
- bcache-tools: add struct cache_sb_disk into bcache.h (jsc#SLE-9807)
  0004-bcache-tools-add-struct-cache_sb_disk-into-bcache.h.patch
- bcache-tools: convert writeback to writethrough mode for zoned
  backing device (jsc#SLE-9807)
  0003-bcache-tools-convert-writeback-to-writethrough-mode-.patch
- bcache-tools: add is_zoned_device() (jsc#SLE-9807)
  0002-bcache-tools-add-is_zoned_device.patch
- bcache-tools: set zoned size aligned data_offset on backing device
  for zoned devive (jsc#SLE-9807)
  0001-bcache-tools-set-zoned-size-aligned-data_offset-on-b.patch
* Tue Sep  8 2020 Jan Engelhardt <jengelh@inai.de>
- Cure fallout from %%_libexecdir change [boo#1174075, boo#1176244]
* Tue Jan 14 2020 Jan Engelhardt <jengelh@inai.de>
- Update to tag 1.1
  * add blkdiscard for cache dev
  * add 'label' field
  * allow users to set label for device
* Thu Aug 22 2019 Jan Engelhardt <jengelh@inai.de>
- Add a _service file for the tarball from outer space.
- Shift the version number to 1.0.8+suse5 because there has never
  been a 1.0.9 release.
* Fri Sep 14 2018 colyli@suse.com
- Update bcache-tools to 1.0.9, this is required by yast2 bcache module
  development. In this version a new program named "bcache" is added,
  by this program people may avoid many operations on sysfs entries.
  (bsc#1109460)
- Remove the following patche since it is in upstream,
  - 0001-build-remove-inline-keyword-from-crc64.patch
- Rename prefix of
  0001-udev-do-not-rely-on-DRIVER-variable.patch
  to a SUSE specific patch prefix
  1001-udev-do-not-rely-on-DRIVER-variable.patch
* Fri Mar 27 2015 jengelh@inai.de
- Update to new upstream release 1.0.8
  * bcache-register is now a C program
- Add 0001-udev-do-not-rely-on-DRIVER-variable.patch to entirely
  disable /dev/bcache symlinks for now, rather than have it
  half-working [bnc#880858]
* Mon Aug 18 2014 meissner@suse.com
- removed unnecessary openssl-devel buildrequires
* Fri Apr  4 2014 jengelh@inai.de
- Update to new upstream release 0.9
  * Run probe-bcache a little later in the udev rule sequence
  (moving from position 61 to 69), fixing a machine hang on
  bcache reassemble (bnc#868938)
- Add 0001-build-remove-inline-keyword-from-crc64.patch, this is
  a build fix.
* Wed Mar 19 2014 oneukum@suse.com
- Move bcache rule from position 61 to position 74
  (bnc#868938)
* Wed Aug  7 2013 jengelh@inai.de
- Update to new snapshot 0.1.g71
  * Support for superblocks up to version 4
* Wed Jun 26 2013 jengelh@inai.de
- Move udev rules to /usr/lib/udev/rules.d
* Tue Feb 26 2013 jengelh@inai.de
- Update to new current snapshot
  42c182c6ab1530b5e3b18893f284da3eaec46e74 (0.1.g45)
* Mon Feb 21 2011 ro@suse.de
- create package
